
#pyramid_wrapper {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: stretch;
}

#clio_pyramid {
	min-width: 350px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	padding: 20px 0;
	width: calc(80% - 40px);
	user-select: none;
}

#clio_pyramid > div > div {
	cursor: help;
}

#clio_pyramid .pyramid_header {
	font-family: "Source Code Pro", monospace;
	font-size: 1.1em;
	text-transform: uppercase;
	font-variant: small-caps;
	font-weight: 700;
}

#clio_pyramid .pyramid_subheader {
	font-family: "Roboto Mono", sans-serif;
	text-transform: uppercase;
	font-variant: small-caps;
	font-size: 0.7em;
}

#clio_pyramid .pyramid_top {
	height: 150px;
	width: 100%;
	min-width: 350px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#clio_pyramid .pyramid_top .interactives {
	height: 60px;
	width: 40%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .pyramid_top .interface {
	height: 60px;
	width: 50%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .pyramid_middle {
	height: 150px;
	width: 100%;
	min-width: 350px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#clio_pyramid .pyramid_middle .software {
	height: 60px;
	width: 60%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .pyramid_middle .hardware {
	height: 60px;
	width: 70%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .pyramid_bottom {
	height: 150px;
	width: 100%;
	min-width: 350px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

#clio_pyramid .pyramid_bottom .interpretation {
	height: 60px;
	width: 80%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .pyramid_bottom .institution {
	height: 60px;
	width: 90%;
	margin: 15px 0 0 0;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

#clio_pyramid .divider_top {
	height: 10px;
	width: 80%;
	margin: 15px 0 0 0;
	background-size: 0.25rem 0.25rem;
	background-repeat: round;
}

#clio_pyramid .divider_bottom {
	height: 10px;
	margin: 15px 0 0 0;
	background-size: 0.25rem 0.25rem;
	background-repeat: round;
	width: 100%;
}

#pyramid_labels {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 40px;
}

#pyramid_labels div {
	flex: 1;
	font-family: "Roboto Mono", monospace;
	text-transform: uppercase;
	font-variant: small-caps;
	font-size: 1em;
	font-weight: 700;
	display: flex;
	justify-content: center;
	align-items: center;
}

#pyramid_labels div span {
	transform: rotate(-90deg);
	display: block;
}


#clio_organization {
	border-style: double;
	border-width: 3px;
	display: flex;
	justify-content: stretch;
	align-items: stretch;
	flex-direction: column;
	font-variant: small-caps;
	text-transform: uppercase;
	margin: 0 15px;
}

#clio_organization .interactive_header {
	font-family: "Source Code Pro", monospace;
	display: flex;
	justify-content: center;
	align-items: center;
	font-weight: 700;
	font-size: 1.2em;
	margin: 2px;
	background-repeat: round;
	background-size: 0.25rem 0.25rem;
}

#clio_organization .program_wrapper {
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	align-items: stretch;
}

#clio_organization .program_wrapper .program {
	border-width: 1px;
	border-style: solid;
	flex-grow: 1;
	margin: 10px;
}

#clio_organization .program_wrapper .program .program_header {
	font-family: "Roboto Mono", monospace;
	display: flex;
	justify-content: center;
	align-items: center;
	font-weight: 600;
	font-size: 1.1em;
	background-size: 0.25rem 0.25rem;
	border-style: solid;
	border-width: 0 0 1px 0;
}

#clio_organization .program_wrapper .program .activity_wrapper {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: stretch;
	flex-wrap: wrap;
}

#clio_organization .activity_wrapper .metadata_wrapper {
	align-items: flex-start;
}

#clio_organization .program > .metadata_wrapper {
	justify-content: center;
	flex-direction: row;
}

#clio_organization .activity > .metadata_wrapper {
	justify-content: flex-start;
	flex-direction: column;
}

#clio_organization .program_wrapper .program .activity_wrapper .activity {
	background-repeat: round;
	background-size: 0.25rem 0.25rem;
	border-style: dashed;
	border-width: 1px;
	min-width: 200px;
	margin: 10px;
	flex-grow: 1;
}

#clio_organization
  .program_wrapper
  .program
  .activity_wrapper
  .activity
  .activity_header {
	font-family: "Roboto Mono", monospace;
	display: flex;
	justify-content: center;
	align-items: center;
	font-weight: 500;
	font-size: 1em;
	border-style: dashed;
	border-width: 0 0 1px 0;
}

#clio_organization .metadata_wrapper {
	margin: 10px 0;
	display: flex;
	justify-content: center;
	align-items: stretch;
	flex-wrap: wrap;
	flex-direction: row;
}

#clio_organization .metadata_wrapper .metadata {
	font-family: "Roboto", monospace;
	display: flex;
	justify-content: center;
	align-items: flex-start;
	font-weight: 500;
	text-transform: lowercase;
	font-size: 1em;
	padding: 0 10px;
}

#clio_organization .metadata_wrapper .metadata span {
	font-weight: 700;
	font-style: italic;
}

#clio_organization .metadata_wrapper .metadata span.key {
	width: 80px;
}

#stack_wrapper {
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: stretch;
}

#clio_stack {
	min-width: 350px;
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 20px 0;
	width: calc(80% - 40px);
	cursor: help;
}

#clio_stack .stacks_wrapper {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: row;
	width: 100%;
}

#clio_stack .stacks_wrapper .stack {
	flex: 1;
	display: flex;
	justify-content: center;
	align-items: stretch;
	flex-direction: column;
	margin: 0 10px;
}

#clio_stack .stacks_wrapper .stack .block {
	margin: 5px 10px;
	font-family: "Roboto Mono", monospace;
	display: flex;
	font-size: 0.9em;
	font-weight: 500;
	text-transform: uppercase;
	font-variant: small-caps;
	justify-content: center;
	align-items: center;
	border-style: solid;
	border-width: 1px;
	user-select: none;
}

#clio_stack .stacks_wrapper .stack .block.header {
	font-weight: 700;
	font-family: "Source Code Pro", monospace;
	text-transform: uppercase;
	font-variant: small-caps;
	font-size: 1.1em;
	border: 0;
}

#clio_stack .stacks_wrapper .stack .divider {
	margin: 5px 0;
	height: 10px;
	width: 100%;
	background-size: 0.25rem 0.25rem;
	background-repeat: round;
	display: flex;
	justify-content: center;
	align-items: center;
}

#clio_stack .stacks_wrapper .stack .arrow {
	height: 6px;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}

#clio_pyramid.faded > div > div {
	opacity: 0.25;
}

#clio_pyramid.faded > div > div.selected {
	opacity: 1;
}

#clio_interactive {
	width: 100%;
	max-width: 820px;
	min-width: 820px;
	height: 100%;
	min-height: 480px;
	margin: 0 auto;
	display: flex;
	overflow-y: scroll;
}

#clio_interactive iframe {
	width: 820px;
	height: 500px;
	margin: auto 0;
	border-width: 5px;
	border-style: double;
	border-color: rgba(255, 255, 255, 0.85);
	padding: 5px;
}








#printer_wrapper {
    height: 300px;
    overflow: hidden;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

#printer_wrapper .printer_container {
    height: 300px;
    width: 100%;
    max-width: 500px;
    overflow: hidden;
    position: relative;
}

#printer_wrapper .annotation {
    height: 300px;
}

#printer_wrapper .print_head {
    height: 300px;
    width: 100%;
    margin: -300px 0 0 0;
    display: flex;
    justify-content: center;
}

#printer_wrapper .print_head .head_wrapper {
    width: 100px;
    height: 206px;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 0 0 94px 0;
}

#printer_wrapper .print_head .head_wrapper .filament {
    width: 5px;
    height: 204px;
    opacity: 0.5;
    border-width: 0 2px;
    border-style: solid;
    z-index: 1;
    margin: 0 0 -200px 0;
    flex-shrink: 0;
    border-radius: 0 0 5px 0;
}

#printer_wrapper .print_head .head_wrapper .gears {
    width: 110px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 35px 0 0 0;
    cursor: help;
}

#printer_wrapper .print_head .head_wrapper .gears span {
    font-size: 45px;
    margin: 0 5px;
}

#printer_wrapper .print_head .head_wrapper .spacer {
    width: 100%;
    height: 20px;
}

#printer_wrapper .print_head .head_wrapper .head {
    cursor: help;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 25px 0 0 0;
}

#printer_wrapper .print_head .head_wrapper .feed {
    width: 30px;
    height: 10px;
    flex-shrink: 0;
}

#printer_wrapper .print_head .head_wrapper .hotend {
    width: 45px;
    height: 15px;
    margin: 0 0 5px 0;
    flex-shrink: 0;
}

#printer_wrapper .print_head .head_wrapper .neck1 {
    width: 40px;
    height: 10px;
    margin: 0 0 5px 0;
    flex-shrink: 0;
}

#printer_wrapper .print_head .head_wrapper .neck2 {
    width: 50px;
    height: 20px;
    margin: 0 0 5px 0;
    flex-shrink: 0;
}

#printer_wrapper .print_head .head_wrapper .extruder {
    width: 0;
    height: 0;
    margin: 0 0 5px 0;
    border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  
  
  flex-shrink: 0;
}


#printer_wrapper .finished_print {
    height: 100px;
    margin: -300px 0 0 0;
    padding: 200px 0 0 0;
}

#printer_wrapper .finished_print .layer_wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    cursor: help;
}
#printer_wrapper .finished_print .layer_wrapper .p1 {
    height: 4px;
    width: 65%;
    margin: 0 0 5px 0;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

#printer_wrapper .finished_print .layer_wrapper .p1 .p2 {
    height: 4px;
    width: calc(50% + 2px);
    z-index: 2;
    opacity: 0.35;
    border-radius: 5px 0 0 0;
}

#printer_wrapper .finished_print .layer_wrapper .l1 {
    height: 10px;
    width: 70%;
    margin: 0 0 5px 0;
    opacity: 0.4;
}

#printer_wrapper .finished_print .layer_wrapper .l2 {
    height: 15px;
    width: 75%;
    background-color: white;
    margin: 0 0 5px 0;
    opacity: 0.45;
}

#printer_wrapper .finished_print .layer_wrapper .l3 {
    height: 20px;
    width: 80%;
    margin: 0 0 5px 0;
    opacity: 0.5;
}

#printer_wrapper .finished_print .print_bed {
    height: 28px;
    width: calc(100% - 2px);
    max-width: 500px;
    border-style: solid;
    border-width: 1px;
    background-size: 0.25rem 0.25rem;
	background-repeat: round;
	cursor: help;
}